                   // Copyright (c) 2011-2014 Partner400                                    
                   // All rights reserved.                                                        
                   //                                                                             
                   // Redistribution and use in source and binary forms, with or without          
                   // modification, are permitted provided that the following conditions          
                   // are met:                                                                    
                   // 1. Redistributions of source code must retain the above copyright           
                   //    notice, this list of conditions and the following disclaimer.            
                   // 2. Redistributions in binary form must reproduce the above copyright        
                   //    notice, this list of conditions and the following disclaimer in the
                   //    documentation and/or other materials provided with the distribution.     
                   //                                                                             
                   // THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ''AS IS'' AND      
                   // ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE       
                   // IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE  
                   // ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE     
                   // FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL  
                   // DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS     
                   // OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)       
                   // HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT  
                   // LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY   
                   // OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF      
                   // SUCH DAMAGE.                                                                
                   //                                                                             

000100141130     D stsOK           C                   00000
000101141130       // 00000 No error.
000200100702     D stsNoError      C                   00000
000300141130        // 00001 Called program returned with *INLR on.
000400100702     D stsPgmRetLR     C                   00001
000500141130       // 00002 Function key pressed.
000600100702     D stsFkeyPressed  C                   00002
000700141130       // 00011 End of file (%EOF = *ON).
000800100702     D stsEOF          C                   00011
000900141130       // 00012 Record not found (%FOUND = *OFF).
001000100702     D stsNotFnd       C                   00012
001100141130       // 00013 Write to full subfile.
001200100702     D stsWrtSflFull   C                   00013
001300141130       // 00050 Conversion resulted in substitution.
001400100702     D stsCvtSubst     C                   00050
001500141130       // 00100 String operation, value out of range.
001600100702     D errInvalString  C                   00100
001700141130       // 00101 Negative square root.
001800100702     D errNegSqrt      C                   00101
001900141130       // 00102 Divide by zero.
002000100702     D errDivZero      C                   00102
002100141130       // 00103 Intermediate result too small to contain result.
002200100702     D errResultTooSmall...
002300100702     D                 C                   00103
002400141130       // 00104 Float underflow. Intermediate value too small.
002500100702     D errFltUndflow   C                   00104
002600141130       // 00105 Invalid characters in character to numeric conversion
002700100702     D errInNumConv    C                   00105
002800141130       // 00112 Invalid date, time, or timestamp value.
002900100702     D errInvalDate    C                   00112
003000141130       // 00113 Date overflow or underflow.
003100100702     D errDateOvflow   C                   00113
003200141130       // 00114 Date mapping error.
003300100702     D errDateMap      C                   00114
003400141130       // 00115 Invalid length for variable-length field.
003500100702     D errInvalVarLen  C                   00115
003600141130       // 00120 Table or array out of sequence.
003700100702     D errArrSeq       C                   00120
003800141130       // 00121 Invalid array index.
003900100702     D errArrIdx       C                   00121
004000141130       // 00122 OCCUR value out of range.
004100100702     D errInvalOccur   C                   00122
004200141130       // 00123 RESET attempted during initialization.
004300100702     D errInzReset     C                   00123
004400141130       // 00202 Call to program or procedure ended in error.
004500100702     D errCallFail     C                   00202
004600141130       // 00211 Error occurred while calling program or procedure.
004700100702     D errCall         C                   00211
004800141130       // 00221 Called program tried to use unpassed parameter.
004900100702     D errParmNoPass   C                   00221
005000141130       // 00222 Pointer or parameter error.
005100100702     D errPtrParm      C                   00222
005200141130       // 00231 Called program returned with halt indicator on.
005300100702     D errCallHalt     C                   00231
005400141130       // 00232 Halt indicator on in this program.
005500100702     D errHalt         C                   00232
005600141130       // 00233 Halt indicator on when RETURN operation run.
005700100702     D errHaltRtn      C                   00233
005800141130       // 00299 RPG dump failed.
005900100702     D errDumpFail     C                   00299
006000141130       // 00301 Error in method call.
006100100702     D errMthCall      C                   00301
006200141130       // 00302 Error converting Java array to RPG parm entering Java
006300141130       //       native meth
006400100702     D errCvtJavArrEnt...
006500100702     D                 C                   00302
006600141130       // 00303 Error converting RPG parm to Java array exiting RPG
006700141130       //       native method
006800100702     D errCvtRpgPrmOut...
006900100702     D                 C                   00303
007000141130       // 00304 Error converting RPG parm to Java array preparing
007100141130       //       Java meth call.
007200100702     D errCvtRPGtoJavaArray...
007300100702     D                 C                   00304
007400141130       // 00305 Error cvting Java array to RPG parm/return value
007500141130       //       after meth call.
007600100702     D errCvtJavArrayToRPG...
007700100702     D                 C                   00305
007800141130       // 00306 Error converting RPG return value to Java array.
007900100702     D errcvtRpgRtnVal...
008000100702     D                 C                   00306
008100141130       // 00333 Error on DSPLY operation.
008200100702     D errDsply        C                   00333
008300141130       // 00401 Data area not found.
008400100702     D errDataAreaNotFnd...
008500100702     D                 C                   00401
008600141130       // 00402 *PDA not valid for non-prestart job.
008700100702     D errInvalPsjPDA  C                   00402
008800141130       // 00411 Data area types/lengths do not match.
008900100702     D errInvalDataArea...
009000100702     D                 C                   00411
009100141130       // 00412 Data area not allocated for output.
009200100702     D errDataAreaNoOutput...
009300100702     D                 C                   00412
009400141130       // 00413 I/O error while processing data area.
009500100702     D errDataAreaIO...
009600100702     D                 C                   00413
009700141130       // 00414 Not authorized to use data area.
009800100702     D errDataAreaUseAut...
009900100702     D                 C                   00414
010000141130       // 00415 Not authorized to change data area.
010100100702     D errDataAreaChgAut...
010200100702     D                 C                   00415
010300141130       // 00421 Error while unlocking data area.
010400100702     D errDataAreaUnlFail...
010500100702     D                 C                   00421
010600141130       // 00425 Requested storage allocation length out of range.
010700100702     D errInvalAlloc   C                   00425
010800141130       // 00426 Error during storage management operation.
010900100702     D errStorFail     C                   00426
011000141130       // 00431 Data area previously allocated to another process.
011100100702     D errDataAreaAlloc...
011200100702     D                 C                   00431
011300141130       // 00432 *LOCK for data area not granted.
011400100702     D errDataAreaLock...
011500100702     D                 C                   00432
011600141130       // 00450 Character field not enclosed by SO and SI.
011700100702     D errInvalSosi    C                   00450
011800141130       // 00451 Cannot convert between two CCSIDs.
011900100702     D errCvtCcsid     C                   00451
012000141130       // 00501 Sort sequence not retrieved.
012100100702     D errSortRtv      C                   00501
012200141130       // 00502 Sort sequence not converted.
012300100702     D errSortCvt      C                   00502
012400141130       // 00802 Commitment control not active.
012500100702     D errCmtNact      C                   00802
012600141130       // 00803 Rollback failed.
012700100702     D errRolbkFail    C                   00803
012800141130       // 00804 COMMIT error.
012900100702     D errCmt          C                   00804
013000141130       // 00805 ROLBK error.
013100100702     D errRolbk        C                   00805
013200141130       // 00907 Decimal data error.
013300100702     D errDecimal      C                   00907
013400141130       // 00970 Compiler/runtime level check.
013500100702     D errCompLevChk   C                   00970
013600141130       // 01011 Undefined record type.
013700100702     D errUndefRecTyp  C                   01011
013800141130       // 01021 Record already exists.
013900100702     D errRecExists    C                   01021
014000141130       // 01022 Referential constraint error.
014100100702     D errRefCst       C                   01022
014200141130       // 01023 Trigger program error before operation.
014300100702     D errTrgBefore    C                   01023
014400141130       // 01024 Trigger program error after operation.
014500100702     D errTrgAfter     C                   01024
014600141130       // 01031 Match field sequence error.
014700100702     D errMatchSeq     C                   01031
014800141130       // 01041 Array/table load sequence error.
014900100702     D errLoadArr      C                   01041
015000141130       // 01042 Array/table load sequence error.
015100100702     D errArrAltSeq    C                   01042
015200141130       // 01051 Excess entries in array/table file.
015300100702     D errArrOvflow    C                   01051
015400141130       // 01071 Record out of sequence.
015500100702     D errInvalRecSeq  C                   01071
015600141130       // 01121 No Print Key DDS keyword indicator.
015700100702     D errDDSPrtKey    C                   01121
015800141130       // 01122 No Page Down Key DDS keyword indicator.
015900100702     D errDDSPgDn      C                   01122
016000141130       // 01123 No Page Up Key DDS keyword indicator.
016100100702     D errDDSPgUp      C                   01123
016200141130       // 01124 No Clear Key keyword indicator.
016300100702     D errDDSClrKey    C                   01124
016400141130       // 01125 No Help Key DDS keyword indicator.
016500100702     D errDDSHlpKey    C                   01125
016600141130       // 01126 No Home Key DDS keyword indicator.
016700100702     D errDDSHomeKey   C                   01126
016800141130       // 01201 Record mismatch detected on input.
016900100702     D errInpMisMatch  C                   01201
017000141130       // 01211 I/O operation to a closed file.
017100100702     D errIOClosed     C                   01211
017200141130       // 01215 OPEN issued to already open file.
017300100702     D errAlreadyOpen  C                   01215
017400141130       // 01216 Error on implicit OPEN/CLOSE.
017500100702     D errImpOpenClose...
017600100702     D                 C                   01216
017700141130       // 01217 Error on explicit OPEN/CLOSE.
017800100702     D errExpOpenClose...
017801100702     D                 C                   01217
017900141130       // 01218 Unable to allocate record.
018000100702     D errRcdLocked    C                   01218
018100141130       // 01221 Update/delete operation without a prior read.
018200100702     D errUpdNoRead    C                   01221
018300141130       // 01222 Referential constraint allocation error.
018400100702     D errRefCstAlloc  C                   01222
018500141130       // 01231 Error on SPECIAL file.
018600100702     D errSpecial      C                   01231
018700141130       // 01235 Error in PRTCTL space or skip entries.
018800100702     D errPrtCtl       C                   01235
018900141130       // 01241 Record number not found.
019000100702     D errRecNbrNotFnd...
019100100702     D                 C                   01241
019200141130       // 01251 Permanent I/O error.
019300100702     D errPermIO       C                   01251
019400141130       // 01255 Session or device error.
019500100702     D errSessDev      C                   01255
019600141130       // 01261 Attempt to exceed maximum number of devices.
019700100702     D errMaxDev       C                   01261
019800141130       // 01271 Attempt to acquire unavailable device.
019900100702     D errDevUnavail   C                   01271
020000141130       // 01281 Operation to unacquired device.
020100100702     D errDevUnacq     C                   01281
020200141130       // 01282 Job ending with controlled option.
020300100702     D errJobEndCtl    C                   01282
020400141130       // 01284 Unable to acquire second device.
020500100702     D errAcqAddDev    C                   01284
020600141130       // 01285 Attempt to acquire an allocated device.
020700100702     D errDevAlloc     C                   01285
020800141130       // 01286 Attempt to open shared file with SAVDS or SAVIND.
020900100702     D errShrOpn       C                   01286
021000141130       // 01287 Response indicators overlap SAVIND indicators.
021100100702     D errRespInd      C                   01287
021200141130       // 01299 I/O error detected.
021300100702     D errIO           C                   01299
021400141130       // 01331 Wait time exceeded for WORKSTN file.
021500100702     D errWait         C                   01331
021600141130       // 09998 Internal failure in RPG compiler or in runtime
021700141130       //       subroutines.
021800100702     D errIntRPGFail   C                   09998
021900141130       // 09999 Program exception in system routine.
022000100702     D errPgmExc       C                   09999
